[PATCH] Ensure PSAPI_VERSION is 1 when building ldd

Jon Turney jon.turney@dronecode.org.uk
Tue May 25 21:37:43 GMT 2021


On 22/05/2021 16:08, Jon Turney wrote:
> On 20/05/2021 19:05, Corinna Vinschen wrote:
>> Hi Jon,
>>
>> On May 20 18:46, Jon Turney wrote:
>>> The default PSAPI_VERSION is controlled by WIN32_WINNT, which we set to
>>> 0x0a00 when building ldd, which gets PSAPI_VERSION=2.

In the just released w32api 9.0.0, _WIN32_WINNT is now set to 0xa00 by 
default, so this issue is probably going to surface in a few other 
places as well.


More information about the Cygwin-patches mailing list